dofile( "data/scripts/lib/utilities.lua" )

function item_pickup( entity_item, entity_who_picked, name )

	GameTriggerMusicFadeOutAndDequeueAll( 10.0 )
	GamePlaySound( "data/audio/Desktop/event_cues.snd", "event_cues/sampo_pick/create", pos_x, pos_y )
	GameTriggerMusicEvent( "music/boss_arena/battle", false,  pos_x, pos_y )

	GameAddFlagRun( "ending_game_completed" )	-- this affects the look of the game over screen
	GameOnCompleted() -- this does the achievement

	local x,y = EntityGetTransform( entity_item )
	SetRandomSeed( x, y )
	EntityLoad("data/entities/particles/image_emitters/chest_effect.xml", x, y)

	local entities = EntityGetWithTag( "sampo_or_boss" )
	if ( #entities == 0 ) then
		print_error("boss - couldn't find sampo")
		return
	end

	for key,entity_id in pairs(entities) do
		EntitySetComponentsWithTagEnabled( entity_id, "disabled_at_start", true )
		EntitySetComponentsWithTagEnabled( entity_id, "enabled_at_start", false )
		PhysicsSetStatic( entity_id, false )

		if EntityHasTag( entity_id, "boss_centipede" ) then
			EntityAddTag( entity_id, "boss_centipede_active" )
			
			local child_entities = EntityGetAllChildren( entity_id )
			local child_to_remove = 0
			
			if ( child_entities ~= nil ) then
				for i,child_id in ipairs( child_entities ) do
					EntityHasTag( child_id, "protection" )
					child_to_remove = child_id
				end
			end
			
			if ( child_to_remove ~= 0 ) then
				EntityKill( child_to_remove )
			end
		end
	end
	
	EntityLoad("data/entities/animals/boss_centipede/loose_lavaceiling.xml", x-235, y-75)
	EntityLoad("data/entities/animals/boss_centipede/loose_lavaceiling.xml", x+264, y-52)
	EntityLoad("data/entities/animals/boss_centipede/loose_lavabridge.xml", x-235, y+280)
	EntityLoad("data/entities/animals/boss_centipede/loose_lavabridge.xml", x+257, y+260)
end
