function get_distance(x1, y1, x2, y2)
	return math.sqrt((x2 - x1)^2 + (y2-y1)^2)
end

local teleport_start_x = GlobalsGetValue("mmm_teleport_start_x", "")
local teleport_start_y = GlobalsGetValue("mmm_teleport_start_y", "")

if teleport_start_x ~= "" then
  local entity_id = GetUpdatedEntityID()
  local x, y = EntityGetTransform(entity_id)
  local distance = get_distance(x, y, teleport_start_x, teleport_start_y)
  -- Check if we are done teleporting by checking if the distance between our start and current positon has changed
  if distance > 10 then
    GlobalsSetValue("mmm_teleport_start_x", "")
    GlobalsSetValue("mmm_teleport_start_y", "")
    local projectile_entity = EntityGetWithName("player_projectile_entity")
    local projectile_component = EntityGetFirstComponentIncludingDisabled(projectile_entity, "ProjectileComponent")
    EntitySetComponentIsEnabled(entity_id, projectile_component, true)
    EntitySetComponentsWithTagEnabled(entity_id, "die_on_collision", 1)
  end
end
